Shobdo Logo

Quota & Usage

Developers can programmatically check their current API usage, plan limits, and when their quota will reset.

GET /api/v1/api/me/usage

Example Request

cURL
curl -X GET "https://api.shobdo.me/api/v1/api/me/usage" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
JavaScript
const response = await fetch("https://api.shobdo.me/api/v1/api/me/usage", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" }
});
const data = await response.json();
Python
import requests
 
response = requests.get(
    "https://api.shobdo.me/api/v1/api/me/usage",
    headers={"Authorization": "Bearer YOUR_API_KEY"}
)
data = response.json()

Example Response

{
  "ok": true,
  "data": {
    "plan": "free",
    "usage": 450,
    "limit": 1000,
    "remaining": 550,
    "resetDate": "2026-08-01T00:00:00.000Z"
  }
}

Rate Limit Headers

You can also monitor your usage via the X-RateLimit-Limit, X-RateLimit-Remaining, and X-RateLimit-Reset HTTP headers returned on every API response.

Assistant

Hi! I'm the Shobdo Assistant.
Ask me anything about the documentation.